# Navigation Design

## Goal

Navigation should make the application structure obvious.

---

# Primary Navigation

The application hierarchy:

## Main

Dashboard

↓

Jobs

↓

Applications

↓

Calendar / Follow-ups

---

## Career

Career Profile

↓

CV Builder

↓

Cover Letters

↓

Portfolio

---

## Settings

Account

Connected Services

AI Settings

Preferences

---

# Sidebar Principles

The sidebar should:

- Be predictable.
- Avoid excessive items.
- Group related functionality.

---

# Current Direction

Move Gmail/email settings into:

Settings

↓

Connected Accounts

---

# Profile vs Career

Important distinction:

## Profile

User account information:

- Name.
- Email.
- Password.
- Avatar.
- Preferences.

---

## Career

Professional identity:

- Experience.
- Skills.
- CV.
- Documents.

Do not mix these.

---

# Mobile Navigation

Mobile should prioritise:

- Dashboard.
- Jobs.
- Add Job.
- Career.

Advanced settings can remain secondary.